<?php

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package cherry-biz
 */


get_header();
?>
<div class="nnc-body">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-12">
                <div id="primary" class="content-area nnc-content-area">
                    <main id="main" class="site-main">
                        <?php
                        if (have_posts()) :

                            if (is_home() && !is_front_page()) :
                                ?>
                        <header>
                            <h1 class="page-title screen-reader-text"><?php single_post_title(); ?>
                            </h1>
                        </header>
                        <?php
                            endif;

                            /* Start the Loop */
                            while (have_posts()) :
                                the_post();

                                /*
                                 * Include the Post-Type-specific template for the content.
                                 * If you want to override this in a child theme, then include a file
                                 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                                 */
                                get_template_part('template-parts/content', get_post_type());

                            endwhile;

                        else :

                            get_template_part('template-parts/content', 'none');

                        endif;
                        ?>
                    </main><!-- #main -->
                    <div class="nnc-pagination">
                        <?php
                            the_posts_pagination( array(
                                'mid_size'  => 2,
                                'prev_text' => esc_html__( 'Previous', 'cherry-biz' ),
                                'next_text' => esc_html__( 'Next', 'cherry-biz' ),
                            ) );
                        ?>
                    </div>
                </div><!-- #primary -->
            </div>
            <div class="col-lg-4 col-md-12">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>

    <?php
get_footer();
